#!/bin/bash

set -e
src=fluentbit
CODENAME=bookworm

cmd="curl -o /usr/share/keyrings/$src.asc https://packages.fluentbit.io/fluentbit.key"
eval $cmd

cat <<EOF >/etc/apt/sources.list.d/$src.list
# https://docs.fluentbit.io/manual/installation/linux/debian
# For new GPG key use:
#   $cmd

deb [signed-by=/usr/share/keyrings/$src.asc] https://packages.fluentbit.io/debian/${CODENAME} ${CODENAME} main
EOF
